Package com.xebialabs.xlrelease.domain.versioning.ascode.settings

# Class FolderVersioningSettings

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.versioning.ascode.settings.FolderVersioningSettings

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(label="As-code Versioning", description="", virtual=false) public class FolderVersioningSettings extends BaseConfiguration

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FolderVersioningSettings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAppliedBy()`
  `Date`
  `getAppliedDate()`
  `String`
  `getAppliedVersion()`
  `boolean`
  `getAutoImport()`
  `String`
  `getBranch()`
  `boolean`
  `getExportApplications()`
  `boolean`
  `getExportConfiguration()`
  `boolean`
  `getExportDashboards()`
  `boolean`
  `getExportEnvironments()`
  `boolean`
  `getExportNotifications()`
  `boolean`
  `getExportPatterns()`
  `boolean`
  `getExportSecurity()`
  `boolean`
  `getExportTemplates()`
  `boolean`
  `getExportTriggers()`
  `boolean`
  `getExportVariables()`
  `boolean`
  `getExportWorkflows()`
  `Repository`
  `getGitConnection()`
  `Date`
  `getLastFetched()`
  `int`
  `getPollDuration()`
  `String`
  `getScmPath()`
  `Map<String,String>`
  `getSecrets()`
  `String`
  `getVersioningStyle()`
  `void`
  `setAppliedBy(String appliedBy)`
  `void`
  `setAppliedDate(Date appliedDate)`
  `void`
  `setAppliedVersion(String appliedVersion)`
  `void`
  `setAutoImport(boolean autoImport)`
  `void`
  `setBranch(String branch)`
  `void`
  `setExportApplications(boolean exportApplications)`
  `void`
  `setExportConfiguration(boolean exportConfiguration)`
  `void`
  `setExportDashboards(boolean exportDashboards)`
  `void`
  `setExportEnvironments(boolean exportEnvironments)`
  `void`
  `setExportNotifications(boolean exportNotifications)`
  `void`
  `setExportPatterns(boolean exportPatterns)`
  `void`
  `setExportSecurity(boolean exportSecurity)`
  `void`
  `setExportTemplates(boolean exportTemplates)`
  `void`
  `setExportTriggers(boolean exportTriggers)`
  `void`
  `setExportVariables(boolean exportVariables)`
  `void`
  `setExportWorkflows(boolean exportWorkflows)`
  `void`
  `setGitConnection(Repository gitConnection)`
  `void`
  `setLastFetched(Date lastFetched)`
  `void`
  `setPollDuration(int pollDuration)`
  `void`
  `setScmPath(String scmPath)`
  `void`
  `setSecrets(Map<String,String> secrets)`
  `void`
  `setVersioningStyle(String versioningStyle)`
  `void`
  `updateWith(FolderVersioningSettings newConfig)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getCiUid, getFolderId, getTitle, hasId, isSupportedOn, setCiUid, setFolderId, setTitle`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FolderVersioningSettings

    public FolderVersioningSettings()

- ## Method Details

  - ### updateWith

    public void updateWith(FolderVersioningSettings newConfig)

  - ### getGitConnection

    public Repository getGitConnection()

  - ### setGitConnection

    public void setGitConnection(Repository gitConnection)

  - ### getScmPath

    public String getScmPath()

  - ### setScmPath

    public void setScmPath(String scmPath)

  - ### getBranch

    public String getBranch()

  - ### setBranch

    public void setBranch(String branch)

  - ### getExportTemplates

    public boolean getExportTemplates()

  - ### setExportTemplates

    public void setExportTemplates(boolean exportTemplates)

  - ### getExportWorkflows

    public boolean getExportWorkflows()

  - ### setExportWorkflows

    public void setExportWorkflows(boolean exportWorkflows)

  - ### getExportPatterns

    public boolean getExportPatterns()

  - ### setExportPatterns

    public void setExportPatterns(boolean exportPatterns)

  - ### getExportVariables

    public boolean getExportVariables()

  - ### setExportVariables

    public void setExportVariables(boolean exportVariables)

  - ### getExportTriggers

    public boolean getExportTriggers()

  - ### setExportTriggers

    public void setExportTriggers(boolean exportTriggers)

  - ### getExportConfiguration

    public boolean getExportConfiguration()

  - ### setExportConfiguration

    public void setExportConfiguration(boolean exportConfiguration)

  - ### getExportDashboards

    public boolean getExportDashboards()

  - ### setExportDashboards

    public void setExportDashboards(boolean exportDashboards)

  - ### getExportNotifications

    public boolean getExportNotifications()

  - ### setExportNotifications

    public void setExportNotifications(boolean exportNotifications)

  - ### getExportSecurity

    public boolean getExportSecurity()

  - ### setExportSecurity

    public void setExportSecurity(boolean exportSecurity)

  - ### getExportApplications

    public boolean getExportApplications()

  - ### setExportApplications

    public void setExportApplications(boolean exportApplications)

  - ### getExportEnvironments

    public boolean getExportEnvironments()

  - ### setExportEnvironments

    public void setExportEnvironments(boolean exportEnvironments)

  - ### getLastFetched

    public Date getLastFetched()

  - ### setLastFetched

    public void setLastFetched(Date lastFetched)

  - ### getAppliedVersion

    public String getAppliedVersion()

  - ### setAppliedVersion

    public void setAppliedVersion(String appliedVersion)

  - ### getAppliedDate

    public Date getAppliedDate()

  - ### setAppliedDate

    public void setAppliedDate(Date appliedDate)

  - ### getAppliedBy

    public String getAppliedBy()

  - ### setAppliedBy

    public void setAppliedBy(String appliedBy)

  - ### getSecrets

    public Map<String,String> getSecrets()

  - ### setSecrets

    public void setSecrets(Map<String,String> secrets)

  - ### getVersioningStyle

    public String getVersioningStyle()

  - ### setVersioningStyle

    public void setVersioningStyle(String versioningStyle)

  - ### getAutoImport

    public boolean getAutoImport()

  - ### setAutoImport

    public void setAutoImport(boolean autoImport)

  - ### getPollDuration

    public int getPollDuration()

  - ### setPollDuration

    public void setPollDuration(int pollDuration)